<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>

<script type="text/javascript">

    /* *************************** 模块初始化 ***************************** */
    var editorAppService = {
        //form
        actionUrl:"${contextRoot}/app/addAppService",
        $condition: null,
        $valid:"${model.valid}",
        init: function () {
            this.bindEvents();
            this.initForm();
        },
        initForm: function () {
            var me = this;
           var data;
            var modelString = "${model.id}";
            if(modelString!=undefined && modelString!=null && modelString.length>0)
            {
                var valid = "${model.valid}";
                liger.get("txtValid").selectValue(valid);
               data={
                    id: "${model.id}",
                    name: "${model.name}",
                   code: "${model.code}",
                   appId: "${model.appId}",
                   valid: valid,
                   version: "${model.version}",
                   description: "${model.description}",
                   endpoint: "${model.endpoint}",
                   requestFormat: "${model.requestFormat}".replace(/<br>/ig,"\n"),
                   requestProtocol: "${model.requestProtocol}",
                   requesModule: "${model.requesModule}".replace(/<br>/ig,"\n"),
                   requestMethod: "${model.requestMethod}",
                   healthReportType: "${model.healthReportType}",
                   healthEndpoint: "${model.healthEndpoint}",
                   responeResult:"${model.responeResult}".replace(/<br>/ig,"\n"),
                   responeError: "${model.responeError}".replace(/<br>/ig,"\n"),
                   metricsReportType: "${model.metricsReportType}",
                   metricsEndpoint: "${model.metricsEndpoint}"
                };

                me.actionUrl = "${contextRoot}/app/updateAppService";
            }else{
                liger.get("txtValid").selectValue("1");//默认有效
                data={
                    appId: "${appId}"
                };
            }

            $("#div_info_form").ligerAutoForm({
                data:data,
                validate:{
                    name:"required",
                    version:"required",
                    valid:"required",
                    endpoint: {
                        required:true
                    }

                },

            });
        },
        bindEvents: function () {
            var me = this;
            $(".m-form-bottom").on("click","#btnSave",function () {
                if(!$("#div_info_form").ligerAutoForm("validate")){
                    return;
                }
                var data = $("#div_info_form").ligerAutoForm("getData");
                $.ajax({ //ajax处理
                    type: "POST",
                    url : me.actionUrl,
                    dataType : "json",
                    data:data,
                    cache:false,
                    success :function(data){
                        if(data.successFlg) {
                            parent.appService.dialogSuccess(data.message);
                        }
                        else{
                            $.ligerDialog.error(data.message);
                        }
                    },
                    error :function(data){
                        $.ligerDialog.error("Status:"+data.status +"(" +data.statusText+")");
                    }
                });
            });

            $(".m-form-bottom").on("click","#btnCancel",function () {
                parent.appService.dialog.close();
            });

            $("#txtValid").ligerComboBox({data : [{"value":"有效","code":"1"},{"value":"无效","code":"0"}],
                cancelable:false,
                onSuccess:function(data){
                }});


            $("#resourceCondition").css("height", (window.screen.height - 200) / 5).css("overflow", "auto");

            editorAppService.$condition = $('#serviceCondition').ligerCondition({
                stdDictUrl: "${contextRoot}/std/getDictByScheme",
            });

        }
    };



    $(function () {
        editorAppService.init();

    });
</script>